import torch
import pyiqa
import os

ilniqe_metric = pyiqa.create_metric('ilniqe').cuda()
#pi_metric = pyiqa.create_metric('pi').cuda()
brisque_metric = pyiqa.create_metric('brisque').cuda()
clipiqa_metric = pyiqa.create_metric('clipiqa').cuda()
#hyperiqa_metric = pyiqa.create_metric('hyperiqa').cuda
#ilniqe_metric = pyiqa.create_metric('ilniqe').cuda

def cal_indexs(path):
    ilniqe_scores = 0
    #pi_scores = 0
    brisque_scores = 0
    clipiqa_scores = 0
    #hyperiqa_scores = 0
    #ilniqe_scores = 0
    n = 0
    for filename in os.listdir(path):
        if filename.endswith(".jpg") or filename.endswith(".png"):
            n += 1
            image_path = os.path.join(path, filename)
            ilniqe_score = ilniqe_metric(image_path)
            #pi_score = pi_metric(image_path)
            clipiqa_score = clipiqa_metric(image_path)
            brisque_score = brisque_metric(image_path)
            #hyperiqa_score = hyperiqa_metric(image_path)
            #ilniqe_score = ilniqe_metric(image_path)
            #print(ilniqe_score)
            ilniqe_scores += ilniqe_score
            #pi_scores += pi_score
            clipiqa_scores += clipiqa_score
            brisque_scores += brisque_score
            #hyperiqa_scores += hyperiqa_score
            #ilniqe_scores += ilniqe_score
            print('processed',image_path)
    ilniqe_scores /= n
    #pi_scores /= n
    clipiqa_scores /= n
    brisque_scores /= n
    #hyperiqa_scores /= n
    #ilniqe_scores /= n
    return clipiqa_scores, brisque_scores, ilniqe_scores

a,b,c = cal_indexs("/data2/lhq/EnlightenGAN/ablation/enlightening/nb2nb_en/images")
print(b,a,c)